/* Default handlers */
use crate::service::templates::Templates;
use axum::{extract::State, http::StatusCode, response::IntoResponse};

// usage: .fallback(not_found_handler)
pub async fn not_found_handler(
    State(templates): State<Templates>,
) -> axum::response::Result<impl IntoResponse> {
    not_found(templates)
}

fn not_found(templates: Templates) -> axum::response::Result<impl IntoResponse> {
    let body = templates.render_html("http404.html", ());
    Ok((StatusCode::NOT_FOUND, body))
}
